import type { LanguageTranslations } from '@payloadcms/translations';
import type { ClientConfig } from 'payload/types';
import React from 'react';
import type { ComponentMap } from '../../utilities/buildComponentMap/types';
import type { LanguageOptions } from '../Translation';
type Props = {
    children: React.ReactNode;
    componentMap: ComponentMap;
    config: ClientConfig;
    fallbackLang: ClientConfig['i18n']['fallbackLanguage'];
    lang: string;
    languageOptions: LanguageOptions;
    translations: LanguageTranslations;
};
export declare const RootProvider: React.FC<Props>;
export {};
//# sourceMappingURL=index.d.ts.map