import type { CellComponentProps, CellProps } from 'payload/types';
import React from 'react';
export type ITableCellContext = {
    cellData: any;
    cellProps?: Partial<CellProps>;
    columnIndex?: number;
    customCellContext: CellComponentProps['customCellContext'];
    richTextComponentMap?: CellComponentProps['richTextComponentMap'];
    rowData: any;
};
export declare const TableCellProvider: React.FC<{
    cellData?: any;
    cellProps?: Partial<CellProps>;
    children: React.ReactNode;
    columnIndex?: number;
    customCellContext?: CellComponentProps['customCellContext'];
    richTextComponentMap?: CellComponentProps['richTextComponentMap'];
    rowData?: any;
}>;
export declare const useTableCell: () => ITableCellContext;
//# sourceMappingURL=index.d.ts.map