import type { SanitizedCollectionConfig, UploadField } from 'payload/types';
import React from 'react';
import { type FormFieldBase } from '../shared';
import './index.scss';
export type UploadInputProps = FormFieldBase & {
    api?: string;
    collection?: SanitizedCollectionConfig;
    filterOptions?: UploadField['filterOptions'];
    onChange?: (e: any) => void;
    relationTo?: UploadField['relationTo'];
    serverURL?: string;
    showError?: boolean;
    value?: string;
};
export declare const UploadInput: React.FC<UploadInputProps>;
//# sourceMappingURL=Input.d.ts.map