import React from 'react';
import type { DocumentInfo, DocumentInfoContext, DocumentInfoProps } from './types';
export type { DocumentInfo, DocumentInfoContext, DocumentInfoProps };
export declare const useDocumentInfo: () => DocumentInfoContext;
/**
 * To initialize documentInfo from the server
 * use the <SetDocumentInfo /> within a RSC component
 * to hydrate the documentInfo on the first render.
 *
 * Otherwise pass props to initialize the documentInfo.
 **/
export declare const DocumentInfoProvider: React.FC<DocumentInfoProps & {
    children: React.ReactNode;
}>;
//# sourceMappingURL=index.d.ts.map